### Virtual Method

# Gtk IMContext get_preedit_string

#### Declaration [src]

    void
    get_preedit_string (
      GtkIMContext* context,
      char** str,
      PangoAttrList** attrs,
      int* cursor_pos
    )

#### Description [src]

Retrieve the current preedit string for the input context, and a list of attributes to apply to the string.

This string should be displayed inserted at the insertion point.

#### Parameters

`str` | `char**`
| Location to store the retrieved string. The string retrieved must be freed with g_free().
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.
`attrs` | `PangoAttrList**`
| Location to store the retrieved attribute list. When you are done with this list, you must unreference it with pango_attr_list_unref().
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
`cursor_pos` | `int*`
| Location to store position of cursor (in characters) within the preedit string.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.